﻿using System;
using System.Globalization;
using System.Threading;
using Wisej.Web;

namespace CultureTest
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            ShowCulture();
        }

        private void btnChangeLanguage_Click(object sender, EventArgs e)
        {
            Application.CurrentCulture = CultureInfo.GetCultureInfo("en");
            Application.Reload();

            ShowCulture();
        }

        private void btnFrench_Click(object sender, EventArgs e)
        {
            Application.CurrentCulture = CultureInfo.GetCultureInfo("fr");
            Application.Reload();

            ShowCulture();
        }

        private void btnGerman_Click(object sender, EventArgs e)
        {
            Application.CurrentCulture = CultureInfo.GetCultureInfo("de");
            Application.Reload();

            ShowCulture();
        }

        private void ShowCulture()
        {
            uiCulture.Text = Thread.CurrentThread.CurrentUICulture.NativeName;
            culture.Text = Thread.CurrentThread.CurrentCulture.NativeName;
        }
    }
}